Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IInternalFrameCount Class Reference
CaptureMetadata | CaptureStarted Event | Ext::InternalFrameCount

Interface used to query the internal frame count for a request. More...

`#include <InternalFrameCount.h>`

Inheritance diagram for Argus::Ext::IInternalFrameCount:

List of all members.

## Public Member Functions
virtual uint64_t | getInternalFrameCount () const =0
| Returns the internal frame count for the request.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IInternalFrameCount ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to query the internal frame count for a request.

Since internal captures do not generate events, detecting internal captures must be done by comparing the internal capture count of successive client- submitted capture requests.

This interface is available from:

- CaptureMetadata objects.
- Event objects of type EVENT_TYPE_CAPTURE_STARTED.

Definition at line 104 of file InternalFrameCount.h.

## Constructor & Destructor Documentation

Argus::Ext::IInternalFrameCount::~IInternalFrameCount | ( |  | ) |
| inline protected

Definition at line 115 of file InternalFrameCount.h.

## Member Function Documentation

virtual uint64_t Argus::Ext::IInternalFrameCount::getInternalFrameCount | ( |  | ) | const
| pure virtual

Returns the internal frame count for the request.

static const InterfaceID& Argus::Ext::IInternalFrameCount::id | ( |  | ) |
| inline static

Definition at line 107 of file InternalFrameCount.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/InternalFrameCount.h